FROM gitpod/workspace-full:latest

USER root

# Install mariadb
RUN apt-get update \
 && apt-get install -y mariadb-server \
 && apt-get clean && rm -rf /var/cache/apt/* /var/lib/apt/lists/* /tmp/* \
 && mkdir /var/run/mysqld \
 && chown -R gitpod:gitpod /etc/mysql /var/run/mysqld /var/log/mysql /var/lib/mysql

# Install our own MySQL config
COPY mysql.cnf /etc/mysql/my.cnf

# Install default-login for MySQL clients
COPY client.cnf /etc/mysql/client.cnf

COPY mysql-bashrc-launch.sh /etc/mysql/mysql-bashrc-launch.sh

USER gitpod

RUN echo "/etc/mariadb/mysql-bashrc-launch.sh" >> ~/.bashrc

RUN bash -c ". .nvm/nvm.sh \
    && nvm install 14 \
    && nvm use 14 \
    && nvm alias default 14"

RUN echo "nvm use default &>/dev/null" >> ~/.bashrc.d/51-nvm-fix
